# TdApi.PageBlockTable (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: PageBlockTable

Package it.tdlight.jni

# Class TdApi.PageBlockTable

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PageBlock
it.tdlight.jni.TdApi.PageBlockTable

Enclosing class:
  TdApi

    public static class TdApi.PageBlockTable
    extends TdApi.PageBlock

A table.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`TdApi.RichText` | `caption` | Table caption.
`TdApi.PageBlockTableCell[][]` | `cells` | Table cells.
`static int` | `CONSTRUCTOR` |
`boolean` | `isBordered` | True, if the table is bordered.
`boolean` | `isStriped` | True, if the table is striped.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`PageBlockTable()` | A table.
`PageBlockTable​(TdApi.RichText caption, TdApi.PageBlockTableCell[][] cells, boolean isBordered, boolean isStriped)` | A table.
`PageBlockTable​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### caption

public TdApi.RichText caption
Table caption.

### cells

public TdApi.PageBlockTableCell[][] cells
Table cells.

### isBordered

public boolean isBordered
True, if the table is bordered.

### isStriped

public boolean isStriped
True, if the table is striped.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### PageBlockTable

public PageBlockTable()
A table.

### PageBlockTable

public PageBlockTable​(TdApi.RichText caption, TdApi.PageBlockTableCell[][] cells, boolean isBordered, boolean isStriped)
A table.

Parameters:
  `caption` - RichText Table caption.
  `cells` - PageBlockTableCell[][] Table cells.
  `isBordered` - boolean True, if the table is bordered.
  `isStriped` - boolean True, if the table is striped.

### PageBlockTable

public PageBlockTable​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`